﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}


<div class="grandParentContaniner">
    <div class="col-md-4 parentContainer">
        <section>
            <form id="registerForm" asp-route-returnUrl="@Model.ReturnUrl" method="post">
                <h1>@ViewData["Title"]</h1>
                <hr />
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-floating">
                    <input asp-for="Input.Nickname" class="form-control" autocomplete="username" aria-required="true" />
                    <label asp-for="Input.Nickname"></label>
                    <span asp-validation-for="Input.Nickname" class="text-danger"></span>
                </div>
                <div class="form-floating">
                    <input asp-for="Input.Email" class="form-control" autocomplete="username" aria-required="true" />
                    <label asp-for="Input.Email"></label>
                    <span asp-validation-for="Input.Email" class="text-danger"></span>
                </div>
                <div class="form-floating">
                    <input asp-for="Input.Password" class="form-control" autocomplete="new-password" aria-required="true" />
                    <label asp-for="Input.Password"></label>
                    <span asp-validation-for="Input.Password" class="text-danger"></span>
                </div>
                <div class="form-floating">
                    <input asp-for="Input.ConfirmPassword" class="form-control" autocomplete="new-password" aria-required="true" />
                    <label asp-for="Input.ConfirmPassword"></label>
                    <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
                </div>
                <button id="registerSubmit" type="submit" class="w-100 btn btn-lg btn-primary">Register</button>
            </form>
        </section>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
